Bug 165947

Summary: missing versioned dependencies on rhnlib, pyOpenSSL, libxml2-python
Product: Red Hat Enterprise Linux 4 Reporter: Anchor Systems Managed Hosting <managed>
Component: up2dateAssignee: Pradeep Kilambi <pkilambi>
Status: CLOSED WONTFIX QA Contact: Ken Reilly <kreilly>
Severity: medium Docs Contact:
Priority: medium    
Version: 4.0CC: puccilee, tsanders
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-06-20 11:57:30 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Anchor Systems Managed Hosting 2005-08-15 00:57:02 EDT
Description of problem:

When upgrading a machine from ES3 to ES4, starting the process like so:

up2date --upgrade-to-release=4ES rpm up2date

to get the latest package tools fails; subsequent runs of up2date cannot find
rhnlib, pyOpenSSL, or libxml2.

Version-Release number of selected component (if applicable):

up2date-4.4.5.6-2

How reproducible:

Twice now have attempted an upgrade from ES3 to ES4 this way, both times up2date
fails after the immediate upgrade.

Steps to Reproduce:
1. Start with ES3 install.
2. up2date --upgrade-to-release=4ES -l
3. up2date --upgrade-to-release=4ES rpm up2date
4. up2date --upgrade-to-release=4ES redhat-release
  
Actual results:

[root@ark root]# up2date --upgrade-to-release=4ES redhat-release
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 33, in ?
    from up2date_client import up2date
  File "/usr/share/rhn/up2date_client/up2date.py", line 32, in ?
    import depSolver
  File "/usr/share/rhn/up2date_client/depSolver.py", line 11, in ?
    import packageList
  File "/usr/share/rhn/up2date_client/packageList.py", line 20, in ?
    import up2dateComps
  File "/usr/share/rhn/up2date_client/up2dateComps.py", line 9, in ?
    from rhpl import comps
  File "/usr/lib/python2.3/site-packages/rhpl/comps.py", line 5, in ?
    import libxml2
ImportError: No module named libxml2


Expected results:

up2date completes task successfully.

Additional info:

I believe it's because the versions of rhnlib, pyOpenSSL, and libxml2-python
that are already installed are python2.2 libraries, and hence not available to
python2.3 which is used by up2date in ES4.  Versioning the dependencies
correctly to ensure that these libraries are identified as out-of-date w.r.t.
the newer up2date.
Comment 1 Pucci Lee 2006-08-10 18:07:55 EDT
I also got this error running up2date, and I have to admit that I'm pretty new 
to linux
I ran up2date, got a message saying there's a newer version of up2date 
available, so as usual I accept and proceed to install, but a dependency error 
pop up saying I need rhnlib >=1.8.7 so I skip that update my machine with the 
older version of up2date first.  then retry, still nothing.  Then I went to 
ftp.linux to find and download: rhnlib-1.8.7-3.noarch.rpm, installed that 
reran up2date and I got this error
[root@bgblue /]# up2date
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 27, in ?
    from up2date_client import repoDirector
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 5, in ?
    import rhnChannel
  File "/usr/share/rhn/up2date_client/rhnChannel.py", line 10, in ?
    import up2dateAuth
  File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 5, in ?
    import rpcServer
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 23, in ?
    from rhn import rpclib
ImportError: No module named rhn

I also tried with rhnlib-1.8.2-1.p23.1.noarch.rpm and rhnlib-1[1].8-
6.p15.noarch.rpm and also tried to just install the latest version of up2date 
manually with up2date-2[1].9.14-1.2.1AS.i386.rpm, up2date-4.4.69-25.i386.rpm, 
up2date-gnome-2[1].9.14-1.2.1AS.i386.rpm and up2date-gnome-4.4.69-
25.i386.rpm .  Each of them have a differnt dependency error.  I'm not sure 
how to proceed from here, please advise.
Comment 3 Jiri Pallich 2012-06-20 11:57:30 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.